/*
 * XetPan: a libEtPan! based Mail User Agent
 * Copyright (C) 2002 Melvin Hadasht
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef DEFINES_H
#define DEFINES_H

#define XETPAN_DIR_SEPARATOR_S "/" 
#define XETPAN_DIR_SEPARATOR_C '/'

#define XETPAN_NO_ERR            0  /**< Success return value.    */
#define XETPAN_ERR              -1  /**< Some error occured.      */
#define XETPAN_ERR_MSG_TOO_LONG -2  /**< Remote command too long. */ 
#define XETPAN_ERR_SOCK_WR      -3  /**< Socket write error.      */
#define XETPAN_ERR_SOCK_RD      -4  /**< Socket read error.       */
#define XETPAN_ERR_UNKNWN_CMD   -5  /**< Unknown remote command.  */
#define XETPAN_REMOTE_CLIENT    -6  /**< Remote client. Do not    *
				     *   close connection         */
enum
  {
    XETPAN_INFO_MESSAGE,
    XETPAN_WARNING_MESSAGE,
    XETPAN_ERROR_MESSAGE
  };

#endif
